<?
	error_reporting(0);
	session_start();
	if(!isset($_SESSION['dso_sid'])) {
		header("location: index.php");
		exit;
	}
	
	# Namen fr die Dateien, die eingelesen werden sollen
	$dateiname = array(
		"bak_icd", 
		"bak_ki"
	);
	
	include("daten/datenbank.dat");
	include("module/variablen.php");
	include("module/datenbank.php");
	include("module/funktionen.php");

	if(!empty($_POST["senden"])) {
		switch($_POST["senden"]) {
			case "Aktualisieren":
				# Vorab werden die Tabellen geleert
				$sql = "TRUNCATE TABLE tblBAK_ICD";
				db_schreiben($sql);
				$sql = "TRUNCATE TABLE tblBAK_KI";
				db_schreiben($sql);
				
				# Die ausgewhlten Dateien werden auf Richtigkeit geprft
				# und in das Datenverzeichnis bertragen
				for($i=0; $i<count($dateiname); $i++) {
					$name = $_FILES["csv"]["name"][$i];
					$temp = $_FILES["csv"]["tmp_name"][$i];
					if(!isset($name)) {
						$_SESSION["meldung"] = "Keine Datei <b>".$dateiname[$i].".csv</b> angegeben!";
						break 2;
					}
					if(!is_uploaded_file($temp)) {
						$_SESSION["meldung"] = "Fehler beim Einlesen der Datei <b>".$dateiname[$i].".csv</b>!";
						break 2;
					}
					if(strtolower($name) != ($dateiname[$i].".csv")) {
						$_SESSION["meldung"] = "Falsche Datei ausgewhlt! (<b>".strtolower($name)."</b> statt <b>".$dateiname[$i].".csv</b>)";
						break 2;
					}
					$upload = "daten/".$dateiname[$i].".csv";
					@move_uploaded_file($temp, $upload);
				}
				
				# Datei bak_icd.csv einlesen --------------------------------------------------------------
				$datei = fopen ("daten/bak_icd.csv", "r");
				while($zeile = fgetcsv ($datei, 1000, ";")) {
					$sql = "INSERT INTO tblBAK_ICD VALUES ('".$zeile[0]."')";
					$id = db_schreiben($sql);
				}
				fclose($datei);

				# Datei bak_ki.csv einlesen --------------------------------------------------------------
				$datei = fopen ("daten/bak_ki.csv", "r");
				while($zeile = fgetcsv ($datei, 1000, ";")) {
					$sql = "INSERT INTO tblBAK_KI VALUES ('".$zeile[0]."', '".$zeile[1]."')";
					$id = db_schreiben($sql);
				}
				fclose($datei);

				$datei = fopen ("daten/stand.dat", "w");
				fputs($datei, time());
				fclose($datei);

				$_SESSION["meldung"] = "Die ICDs und Kontra-Indikation wurden aktualisiert.";

				break;
		} # switch
	} # if
	
	if(@file_exists("daten/stand.dat")) {
		$datei = fopen("daten/stand.dat", "r");
		$_SESSION["stand"] = fgets($datei);
		fclose($datei);
	} # if

	include("inhalt/seitenkopf.htm");
	
	echo seitentitel("Filterdaten aktualisieren");	
	meldung_anzeigen();

	echo "<p>Stand der Filterdaten: ".date(DATUMSFORMAT, $_SESSION["stand"])."</p>\n";
	echo "<p><span class=\"abstand\">BK-ICD:</span><input type=\"file\" name=\"csv[]\" size=\"60\" class=\"feld\"> (bak_icd.csv)</p>\n";
	echo "<p><span class=\"abstand\">Kontra-Indikation:</span><input type=\"file\" name=\"csv[]\" size=\"60\" class=\"feld\"> (bak_ki.csv)</p>\n";
?>

<br>
<input type="submit" name="senden" value="Aktualisieren" class="senden">
<?
	include("inhalt/seitenfuss.htm");
?>