<?
	error_reporting(0);
	session_start();
	if(!isset($_SESSION['dso_sid'])) {
		$_SESSION['dso_sid'] = session_id();
		if(@file_exists("daten/stand.dat")) {
			$datei = fopen("daten/stand.dat", "r");
			$_SESSION["stand"] = fgets($datei);
			fclose($datei);
		} else {
			$_SESSION["stand"] = "keine Daten vorhanden";
		}
	}
	
	# Routine zur berprfung, ob das System installiert ist
	if(!@file_exists("daten/datenbank.dat")) {
		header("location: lizenzabkommen.php");
		exit;
	}

	# Namen fr die Dateien, die eingelesen werden sollen
	$dateiname = array(
		"fab", 
		"fall", 
		"icd", 
		"ops"
	);
	
	include("daten/datenbank.dat");
	include("module/variablen.php");
	include("module/datenbank.php");
	include("module/funktionen.php");
	
	# Startseite mit Upload der FAB-, FALL-, ICD- und OPS-Tabellen 
	if(!empty($_POST["senden"])) {
		# Vorab werden die Tabellen geleert
		$sql = "TRUNCATE TABLE tblFALL";
		db_schreiben($sql);
		$sql = "TRUNCATE TABLE tblFAB";
		db_schreiben($sql);
		$sql = "TRUNCATE TABLE tblICD";
		db_schreiben($sql);
		$sql = "TRUNCATE TABLE tblOPS";
		db_schreiben($sql);
		
		# Die ausgewhlten Dateien werden auf Richtigkeit geprft
		# und in das Datenverzeichnis bertragen
		for($i=0; $i<count($dateiname); $i++) {
			$name = $_FILES["csv"]["name"][$i];
			$temp = $_FILES["csv"]["tmp_name"][$i];
			if(!isset($name)) {
				$_SESSION["meldung"] = "Keine Datei <b>".$dateiname[$i].".csv</b> angegeben!";
				break;
			} # if
			if(!is_uploaded_file($temp)) {
				$_SESSION["meldung"] = "Fehler beim Einlesen der Datei <b>".$dateiname[$i].".csv</b>!";
				break;
			} # if
			if(strtolower($name) != ($dateiname[$i].".csv")) {
				$_SESSION["meldung"] = "Falsche Datei ausgewhlt! (<b>".strtolower($name)."</b> statt <b>".$dateiname[$i].".csv</b>)";
				break;
			} # if
			$upload = "daten/".$dateiname[$i].".csv";
			@move_uploaded_file($temp, $upload);
		} # for
		
		# Datei fall.csv einlesen (Inhalte werden vorab gefiltert) -----------------------------
		$datei = fopen ("daten/fall.csv", "r");
		$zeile = -1;
		while($inhalt = fgetcsv($datei, 1000, ";")) {
			$zaehler = FALSE;
			# erste Zeile mit berschriften
			if($zeile == -1) {
				for($i=0; $i<count($db_fall); $i++) {
					for($j=0; $j<count($inhalt); $j++) {
						if($inhalt[$j] == $db_fall[$i][BEZEICHNUNG]) {
							$spalte[$i] = $j;
							break;
						}
					} # for $j
				} # for $i
				$zaehler = TRUE;
			} # if
			# Zeilen mit Inhalten
			else {
				for($j=0; $j<count($db_fall); $j++) {
					# Wenn Entlassungsgrund = Tod, dann speichere Zeile
					if($inhalt[$spalte[4]] == TOD) {
						switch($j) {
							case 2: # Aufnahmedatum
							case 3: # Entlassungsdatum
								$zelle[$zeile][$j] = datetotime($inhalt[$spalte[$j]]);
								break;
							default:
								$zelle[$zeile][$j] = $inhalt[$spalte[$j]];
						} # switch
						$zaehler = TRUE;
					} # if
				} # for
			} # else
			if($zaehler == TRUE) $zeile++;
		} # while
		fclose ($datei);
		
		# Daten in die Tabelle eintragen -------------------------------------------------------
		for($i=0; $i<$zeile; $i++) {
			$sql = "INSERT INTO tblFALL VALUES(";
			for($j=0; $j<count($db_fall); $j++) {
				if($db_fall[$j][BEZEICHNUNG] != "")
					$sql .= "'".$zelle[$i][$j]."', ";
				else
					$sql .= "'', ";
			}
			$sql = substr($sql, 0, -2).")";
			if($i == 0)
				$id = db_schreiben($sql, "o");
			else if($i == $zeile - 1)
				$id = db_schreiben($sql, "c");
			else
				$id = db_schreiben($sql, "w");
		} # for
		
		# Alle Primrschlssel (ID) ------------------------------------------------------------
		# fr die nchsten Schritte einlesen ---------------------------------------------------
		$sql = "SELECT ID FROM tblFALL";
		$ids = db_lesen($sql);
		
		# Datei fab.csv einlesen ---------------------------------------------------------------
		$datei = fopen ("daten/fab.csv", "r");
		$zeile = -1;
		while($inhalt = fgetcsv($datei, 1000, ";")) {
			$zaehler = FALSE;
			# erste Zeile mit berschriften
			if($zeile == -1) {
				for($i=0; $i<count($db_fab); $i++) {
					for($j=0; $j<count($inhalt); $j++) {
						if($inhalt[$j] == $db_fab[$i][BEZEICHNUNG]) {
							$spalte[$i] = $j;
							break;
						}
					}
				}
				$zaehler = TRUE;
			}
			# Zeilen mit Inhalten
			else {
				# Filtere Primrschlssel aus Tabelle FALL
				if(array_search($inhalt[$spalte[0]], $ids) != FALSE) {
					for($j=0; $j<count($db_fab); $j++) {
						switch($j) {
							case 3: # FAB-Entlassungsdatum
								$zelle[$zeile][$j] = datetotime($inhalt[$spalte[$j]]);
								break;
							default:
								$zelle[$zeile][$j] = $inhalt[$spalte[$j]];
						} # switch
					} # for
					$zaehler = TRUE;
				} # if
			} # else
			if($zaehler == TRUE) $zeile++;
		} # while
		fclose ($datei);
		
		# Daten in die Tabelle eintragen -------------------------------------------------------
		for($i=0; $i<$zeile; $i++) {
			$sql = "INSERT INTO tblFAB VALUES(";
			for($j=0; $j<count($db_fab); $j++) {
				if($db_fab[$j][BEZEICHNUNG] != "")
					$sql .= "'".$zelle[$i][$j]."', ";
				else
					$sql .= "'', ";
			}
			$sql = substr($sql, 0, -2).")";
			if($i == 0)
				$id = db_schreiben($sql, "o");
			else if($i == $zeile - 1)
				$id = db_schreiben($sql, "c");
			else
				$id = db_schreiben($sql, "w");
		} # for
		# Patienten nach FALL herausfiltern ----------------------------------------------------

		# Datei icd.csv einlesen ---------------------------------------------------------------
		$datei = fopen ("daten/icd.csv", "r");
		$zeile = -1;
		while($inhalt = fgetcsv($datei, 1000, ";")) {
			$zaehler = FALSE;
			# erste Zeile mit berschriften
			if($zeile == -1) {
				for($i=0; $i<count($db_icd); $i++) {
					for($j=0; $j<count($inhalt); $j++) {
						if($inhalt[$j] == $db_icd[$i][BEZEICHNUNG]) {
							$spalte[$i] = $j;
							break;
						}# if
					}# for
				} # for
				$zaehler = TRUE;
			}# if
			# Zeilen mit Inhalten
			else {
				# Filtere Primrschlssel aus Tabelle FALL
				if(array_search($inhalt[$spalte[0]], $ids) != FALSE) {
					for($j=0; $j<count($db_icd); $j++) {
						$zelle[$zeile][$j] = $inhalt[$spalte[$j]];
					} # for
					$zaehler = TRUE;
				} # if
			} # else
			if($zaehler == TRUE) $zeile++;
		} # while
		fclose ($datei);

		# Daten in die Tabelle eintrgaen -------------------------------------------------------
		for($i=0; $i<$zeile; $i++) {
			$sql = "INSERT INTO tblICD VALUES(";
			for($j=0; $j<count($db_icd); $j++) {
				if($db_icd[$j][BEZEICHNUNG] != "")
					$sql .= "'".$zelle[$i][$j]."', ";
				else
					$sql .= "'', ";
			}
			$sql = substr($sql, 0, -2).")";
			if($i == 0)
				$id = db_schreiben($sql, "o");
			else if($i == $zeile - 1)
				$id = db_schreiben($sql, "c");
			else
				$id = db_schreiben($sql, "w");
		} # for
		# Patienten nach FALL herausfiltern ----------------------------------------------------

		# Datei ops.csv einlesen ---------------------------------------------------------------
		$datei = fopen ("daten/ops.csv", "r");
		$zeile = -1;
		while($inhalt = fgetcsv ($datei, 1000, ";")) {
			$zaehler = FALSE;
			# erste Zeile mit berschriften
			if($zeile == -1) {
				for($i=0; $i<count($db_ops); $i++) {
					for($j=0; $j<count($inhalt); $j++) {
						if($inhalt[$j] == $db_ops[$i][BEZEICHNUNG]) {
							$spalte[$i] = $j;
							break;
						} # if
					} # for
				} # for
				$zaehler = TRUE;
			} # if
			# Zeilen mit Inhalten
			else {
				# Filtere Primrschlssel aus Tabelle FALL
				if(array_search($inhalt[$spalte[0]], $ids) != FALSE) {
					for($j=0; $j<count($db_ops); $j++) {
						switch($j) {
							case 2: # OPS-Kode
								if(substr($inhalt[$spalte[$j]], 1, 1) != "-" and substr($inhalt[$spalte[$j]], 5, 1) != ".")
									$zelle[$zeile][$j] = str_format($inhalt[$spalte[$j]], "#-###.##");
								else
									$zelle[$zeile][$j] = $inhalt[$spalte[$j]];
								break;
							default:
								$zelle[$zeile][$j] = $inhalt[$spalte[$j]];
						} # switch
					} # for
					$zaehler = TRUE;
				} # if
			} # else
			if($zaehler == TRUE) $zeile++;
		}
		fclose ($datei);

		# Daten in die Tabelle eintrgaen und Primrschlssel -----------------------------------
		# fr die nchsten Schritte einlesen ---------------------------------------------------
		for($i=0; $i<$zeile; $i++) {
			$sql = "INSERT INTO tblOPS VALUES(";
			for($j=0; $j<count($db_ops); $j++) {
				if($db_ops[$j][BEZEICHNUNG] != "")
					$sql .= "'".$zelle[$i][$j]."', ";
				else
					$sql .= "'', ";
			} # for
			$sql = substr($sql, 0, -2).")";
			if($i == 0)
				$id = db_schreiben($sql, "o");
			else if($i == $zeile - 1)
				$id = db_schreiben($sql, "c");
			else
				$id = db_schreiben($sql, "w");
		} # for
		# Patienten nach FALL herausfiltern ----------------------------------------------------
	
		$_SESSION["meldung"] = "Dateien wurden eingelesen und gefiltert.";		
	} # if

	include("inhalt/seitenkopf.htm");

	echo seitentitel("Patientendaten einlesen");	
	meldung_anzeigen();
	
	echo "<p>Stand der Filterdaten: ".date(DATUMSFORMAT, $_SESSION["stand"])."</p>\n";
	for($i=0; $i<count($dateiname); $i++) {
		echo "	<p><span class=\"abstand\">".strtoupper($dateiname[$i]).":</span><input type=\"file\" name=\"csv[]\" size=\"60\"> (".$dateiname[$i].".csv)</p>\n";
	}
?>
<br>
<p><input type="submit" name="senden" value="Einlesen" class="senden"></p>
<p><br><br>Hinweis: Das Einlesen der Dateien und das Filtern der Daten kann 
	je nach Umfang lnger dauern. Bitte haben Sie etwas Geduld.</p>
<?
	include("inhalt/seitenfuss.htm");
?>