<?
	/********************************************************************************************************************
		Modul:		Steuerung der Datenbank-Zugriffe
		Einsatz:	PHP-Kopf
		Erstellt:	01.03.2008	JYN	
		
		nderungen:	xx.xx.xxxx	xx	xxx
	********************************************************************************************************************/
	
	/********************************************************************************************************************
		Steuert den Datenbank-LESE-Zugriff
		Die Funktion gibt ein ein- oder zweidimensionales Array zurck, oder im Fehlerfall ein FALSE.
		function db_lesen(SQL-String [,Array-Typ]);
			SQL-String:		vollstndiger SQL-String fr die Abfrage
			Array-Typ:		Default: Assoziatives Array
							"1":	 Numerisches Array
							"A":	 Beides wird zurckgeliefert
	********************************************************************************************************************/
	function db_lesen() {
		$anz_parameter = func_num_args();
		if($anz_parameter == 0)
			return FALSE;
		$parameter = func_get_args();
		$array_typ = "";
		$fehler = "";
		switch($anz_parameter) {
			case 2:
				$array_typ = strtolower($parameter[1]);
			case 1:
				$sql_string = $parameter[0];
				break;
		}
		# SQL-String zerlegen, um festzustellen, ob eine Dimension fr das Rckgabe-Array reicht.
		$sql_teile = explode(" ", $sql_string);
		if($sql_teile[1] == "*" 
			or substr($sql_teile[1], -1) == "," 
			or strpos($sql_teile[1], ",") != FALSE
			or substr($sql_teile[2], 0, 1) == "," 
			or $sql_teile[2] == ",")
			$tiefe = 2;
		else
			$tiefe = 1;
		$db_verbindung = @mysql_connect(DB_SERVER, DB_USER, DB_PASS);
		@mysql_select_db(DB_NAME);
		$sql_abfrage = @mysql_query($sql_string);
		$fehler = mysql_error();
		if($fehler != "") {
			if(substr($fehler, -13) == "doesn't exist") {
				return FALSE;
			}
			else {
				if($err_msg == TRUE)
					echo "<b>db_lesen():</b> $sql_string<br>".$fehler."<br><br>";
				@mysql_close($db_verbindung);
				return FALSE;
			}
		}
		else {
			$anz_zeilen = mysql_num_rows($sql_abfrage);
			$daten = array();
			switch($anz_zeilen) {
				case 0:
					@mysql_close($db_verbindung);
					return $daten;
					break;
				default:
					for($i=0; $i<$anz_zeilen; $i++) {
						switch($tiefe) {
							case 1:
								$reihe = mysql_fetch_row($sql_abfrage);
								$daten[$i] = $reihe[0];
								break;
							default:
								switch($array_typ) {
									case "a":
										$daten[$i] = mysql_fetch_array($sql_abfrage);
										break;
									case "1":
										$daten[$i] = mysql_fetch_row($sql_abfrage);
										break;
									default:
										$daten[$i] = mysql_fetch_assoc($sql_abfrage);
								}
						}
					}
			}
		}
		@mysql_close($db_verbindung);
		return $daten;
	}

	/********************************************************************************************************************
		Steuert den Datenbank-SCHREIB-Zugriff mit einem universal SQL-String
		Die Funktion gibt ein TRUE oder bei INSERT die letzte ID zurck, bzw. im Fehlerfall ein FALSE.
		function db_schreiben(SQL-String [,Modus]);
			SQL-String:		vollstndiger SQL-String fr die Abfrage
			Modus:			Default: ffnen		Schreiben		Schlieen
							"O":	 ffnen
							"W":	 			Schreiben
							"C":	 							Schlieen
	********************************************************************************************************************/
	function db_schreiben() {
		$anz_parameter = func_num_args();
		if($anz_parameter == 0)
			return FALSE;
		$parameter = func_get_args();
		$modus = "";
		$fehler = "";
		switch($anz_parameter) {
			case 2:
				$modus = strtolower($parameter[1]);
			case 1:
				$sql_string = $parameter[0];
				break;
		}

		$anweisung = strtolower(substr($sql_string, 0, strpos($sql_string, " ")));
		if($modus == "o" or $modus == "") {
			$db_verbindung = @mysql_connect(DB_SERVER, DB_USER, DB_PASS);
			@mysql_select_db(DB_NAME);
		}
		@mysql_query($sql_string);
		$fehler = mysql_error();
		if(!empty($fehler)) {
			if($err_msg == TRUE)
				echo "<b>db_schreiben(): $anweisung</b><br> $sql_string<br>".$fehler."<br><br>";
			@mysql_close($db_verbindung);
			return FALSE;
		}
		else {
			switch($anweisung) {
				case "insert":
					if($modus == "")
						$return = mysql_insert_id($db_verbindung);
					else
						$return = TRUE;
					break;
				default:
					$return = TRUE;
			}
			if($modus == "c" or $modus == "") {
				@mysql_close($db_verbindung);
			}
			return $return;
		}
	}
	

?>