<?
	/********************************************************************************************************
		Inhalt:		Variablen zur Steuerung der Software
		
		Erstellt:	19.12.2008	JYN	
		nderungen:	xx.xx.xxxx	xx	xxx
	********************************************************************************************************/

	define('PROJEKTNAME',		'Transplant-Check');
	define('TOD',				'79');
	define('ZEILENUMBRUCH',		chr(13).chr(10));
	define('DATUMSFORMAT',		'd.m.Y - H:i');

	/********************************************************************************************************
		Variablen zur Erstellung der Datenbank
			Feldname:		Name des Feldes in der Datenbank-Tabelle
			Datentyp:		Typ in der Datenbank
			Feldlnge:		Feldgre in der Datenbank und Max-Lnge im HTML-Formular
			Formlnge:		Lnge im HTML-Formular
			Formtyp:		Typ des HTML-Formularfelds
			SQL-Zusatz:		Parameter wie Primrschlssel, Standardwerte, Vorgaben, usw.
	********************************************************************************************************/

	# Bezeichner fr den Index des Arrays ------------------------------------------------------------------
	define('BEZEICHNUNG',		0);
	define('FELDNAME',			1);
	define('DATENTYP',			2);
	define('FELDLAENGE',		3);
	define('FORMLAENGE',		4);
	define('FORMTYP',			5);
	define('SQL_ZUSATZ',		6);

	# Tabellen ---------------------------------------------------------------------------------------------
	#		  Bezeichnung						Feldname					Datentyp		Feldlnge		Formlnge	Formtyp		SQL-Zusatz
	$db_fall = array(
		array("KH-internes-Kennzeichen",		"ID",						"int",			10,				0,			"",			"NOT NULL"),
		array("Geschlecht",						"Geschlecht",				"enum",			"'m','w'",		0,			"",			"NOT NULL"),
		array("Aufnahmedatum",					"Aufnahmedatum",			"int",			10,				0,			"",			"DEFAULT 0"),
		array("Entlassungsdatum",				"Entlassungsdatum",			"int",			10,				0,			"",			"DEFAULT 0"),
		array("Entlassungsgrund",				"Entlassungsgrund",			"int",			4,				0,			"",			"DEFAULT 0"),
		array("Alter-in-Jahren-am-Aufnahmetag",	"Aufnahmealter",			"int",			4,				0,			"",			"DEFAULT 0"),
		array("Beatmungsstunden",				"Beatmungsstunden",			"int",			6,				0,			"",			"DEFAULT 0, PRIMARY KEY (ID)")
	);
	$db_fab = array(
		array("KH-internes-Kennzeichen",		"ID",						"int",			10,				0,			"",			"NOT NULL"),
		array("",								"Pos",						"int",			10,				0,			"",			"NOT NULL AUTO_INCREMENT"),
		array("FAB",							"FAB",						"varchar",		10,				0,			"",			""),
		array("FAB-Entlassungsdatum",			"FAB_Entlassungsdatum",		"int",			10,				0,			"",			"DEFAULT 0, PRIMARY KEY (ID, Pos)"),
	);
	$db_icd = array(
		array("KH-internes-Kennzeichen",		"ID",						"int",			10,				0,			"",			"NOT NULL"),
		array("",								"Pos",						"int",			10,				0,			"",			"NOT NULL AUTO_INCREMENT"),
		array("Diagnoseart",					"Diagnoseart",				"enum",			"'HD','ND'",	0,			"",			"NOT NULL"),
		array("ICD-Kode",						"ICD_Kode",					"varchar",		10,				0,			"",			", PRIMARY KEY (ID, Pos)"),
	);
	$db_ops = array(
		array("KH-internes-Kennzeichen",		"ID",						"int",			10,				0,			"",			"NOT NULL"),
		array("",								"Pos",						"int",			10,				0,			"",			"NOT NULL AUTO_INCREMENT"),
		array("OPS-Kode",						"OPS_Kode",					"varchar",		10,				0,			"",			", PRIMARY KEY (ID, Pos)")
	);
	$db_bak = array(
		array("",								"Kode",						"varchar",		10,				0,			"",			", PRIMARY KEY (Kode)")
	);
	$db_ki = array(
		array("",								"Kode",						"varchar",		10,				0,			"",			"NOT NULL"),
		array("",								"Indikation",				"varchar",		10,				0,			"",			", PRIMARY KEY (Kode)")
	);

	# Installation (wird nur fr das Formular bentigt) -----------------------------------------------------------------------------
	#		  Bezeichnung						Feldname					Datentyp		Feldlnge		Formlnge	Formtyp		SQL-Zusatz
	$db_install = array(
		array("",								"db_server",				"",				80,				40,			"text",		""),
		array("",								"db_name",					"",				80,				40,			"text",		""),
		array("",								"db_user",					"",				80,				40,			"text",		""),
		array("",								"db_passwort",				"",				80,				40,			"text",		"")
	);
?>
